ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

o

org.bdgenomics.adam.projections

# AlignmentField 

###

#### object AlignmentField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
2.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration
4.  class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def SchemaValue: SchemaVal
   Attributes
     protected
   Definition Classes
     FieldEnumeration
5.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  final def apply(x: Int): Value
   Definition Classes
     Enumeration
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  val attributes: SchemaVal
12.  val basesTrimmedFromEnd: SchemaVal
13.  val basesTrimmedFromStart: SchemaVal
14.  val cigar: SchemaVal
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
16.  val duplicateRead: SchemaVal
17.  val end: SchemaVal
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  val failedVendorQualityChecks: SchemaVal
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  val insertSize: SchemaVal
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  val mappingQuality: SchemaVal
26.  val mateAlignmentStart: SchemaVal
27.  val mateMapped: SchemaVal
28.  val mateNegativeStrand: SchemaVal
29.  val mateReferenceName: SchemaVal
30.  final def maxId: Int
    Definition Classes
      Enumeration
31.  val mismatchingPositions: SchemaVal
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
34.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
37.  val originalCigar: SchemaVal
38.  val originalQualityScores: SchemaVal
39.  val originalStart: SchemaVal
40.  val primaryAlignment: SchemaVal
41.  val properPair: SchemaVal
42.  val qualityScores: SchemaVal
43.  val readGroupId: SchemaVal
44.  val readGroupSampleId: SchemaVal
45.  val readInFragment: SchemaVal
46.  val readMapped: SchemaVal
47.  val readName: SchemaVal
48.  val readNegativeStrand: SchemaVal
49.  val readPaired: SchemaVal
50.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
51.  val recordSchema: Schema
    Definition Classes
      FieldEnumeration
52.  val referenceName: SchemaVal
53.  val secondaryAlignment: SchemaVal
54.  val sequence: SchemaVal
55.  val start: SchemaVal
56.  val supplementaryAlignment: SchemaVal
57.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
58.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
59.  def values: ValueSet
    Definition Classes
      Enumeration
60.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
61.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
62.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
63.  final def withName(s: String): Value
    Definition Classes
      Enumeration

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped